> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ofauth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get organization settings

> Get settings for the organization including Vault+ configuration



## OpenAPI

````yaml https://api.ofauth.com/openapi.json get /v2/account/settings
openapi: 3.1.0
info:
  title: OFAuth API
  version: 1.0.0
  description: >-
    OFAuth API including Account, Connections, Link, Access, Dynamic Rules,
    Vault+, and Realtime webhook contracts
  contact:
    email: support@ofauth.com
    url: https://ofauth.com/
servers:
  - url: https://api.ofauth.com
security:
  - ApiKey: []
tags:
  - name: Account
    description: Account management endpoints.
  - name: Connections
    description: Connection management endpoints.
  - name: Link
    description: Link authentication and session endpoints.
  - name: Access
    description: All Access related endpoints.
  - name: Analytics
    description: 'Access: charts, tops, and performance metrics.'
  - name: Earnings
    description: 'Access: earnings charts, transactions, and chargebacks.'
  - name: Messages
    description: 'Access: messaging, chats, queue, and mass messaging.'
  - name: Posts
    description: 'Access: create, edit, list, and manage posts.'
  - name: Promotions
    description: 'Access: promotions, trials, and bundles.'
  - name: Users
    description: 'Access: user profiles, subscriptions, and actions.'
  - name: Vault
    description: 'Access: vault folders, media, and management.'
  - name: Upload
    description: 'Access: media upload and processing.'
  - name: Self
    description: 'Access: authenticated account details and settings.'
  - name: Stories
    description: 'Access: stories listing and management.'
  - name: Subscriptions
    description: 'Access: subscription offers, discounts, and management.'
  - name: Realtime
    description: >-
      Realtime webhook delivery contracts, including relayed OnlyFans websocket
      events.
  - name: Dynamic Rules
    description: Dynamic signing rules operations.
  - name: Vault+
    description: Vault+ caching and management.
externalDocs:
  description: OFAuth Developer Documentation
  url: https://docs.ofauth.com
paths:
  /v2/account/settings:
    get:
      tags:
        - Account
      summary: Get organization settings
      description: Get settings for the organization including Vault+ configuration
      responses:
        '200':
          description: Organization settings
          content:
            application/json:
              schema:
                type: object
                properties:
                  vaultPlus:
                    type: object
                    properties:
                      autoEnableForNewConnections:
                        type: boolean
                      defaultSettings:
                        type: object
                        properties:
                          autoCacheVault:
                            type: boolean
                          autoCacheMessages:
                            type: boolean
                          autoCachePosts:
                            type: boolean
                          autoCacheStories:
                            type: boolean
                          minAccessCountVault:
                            type: number
                          minAccessCountMessages:
                            type: number
                          minAccessCountPosts:
                            type: number
                          minAccessCountStories:
                            type: number
                          cacheImages:
                            type: boolean
                          cacheVideos:
                            type: boolean
                          cacheAudio:
                            type: boolean
                          imageQualities:
                            type: array
                            items:
                              type: string
                          videoQualities:
                            type: array
                            items:
                              type: string
                          retentionDays:
                            type: number
                          accessExpiryDays:
                            type: number
                          presignedUrlTtlSeconds:
                            type: number
                          storageLimitBytes:
                            type: number
                          storageLimitPurgeStrategy:
                            type: string
                        required:
                          - autoCacheVault
                          - autoCacheMessages
                          - autoCachePosts
                          - autoCacheStories
                          - minAccessCountVault
                          - minAccessCountMessages
                          - minAccessCountPosts
                          - minAccessCountStories
                          - cacheImages
                          - cacheVideos
                          - cacheAudio
                          - imageQualities
                          - videoQualities
                          - retentionDays
                          - accessExpiryDays
                          - presignedUrlTtlSeconds
                          - storageLimitBytes
                          - storageLimitPurgeStrategy
                    required:
                      - autoEnableForNewConnections
                      - defaultSettings
                required:
                  - vaultPlus
        '401':
          description: Unauthorized
      security:
        - ApiKey: []
components:
  securitySchemes:
    ApiKey:
      type: apiKey
      name: apiKey
      in: header
      description: >-
        Your OFAuth [API key](/quickstart#2-copy-your-api-key) for
        authenticating requests.

````